<?php
/**
*
* @copyright (c) 2016 Slash http://danfa.ru
* @license GNU General Public License, version 2 (GPL-2.0)
*
*/

namespace Slash\CountSymbolsField\event;

/**
* Event listener
*/
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

class listener implements EventSubscriberInterface
{
	/** @var \phpbb\user */	
	protected $user;
	
	/**
	* Constructor
	*
	* @param \phpbb\user $user User object
	*/
	public function __construct(\phpbb\user $user)
	{
		$this->user = $user;
	}

    static public function getSubscribedEvents()
    {
        return array(
            'core.modify_posting_parameters' => 'get_count',
			'core.viewtopic_modify_post_row' => 'get_count',
        );
    }
    
    public function get_count($event)
    {
        $this->user->add_lang_ext('Slash/CountSymbolsField', 'count');
    }
}